If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Post-install error-message displayed for a compatible add-on version

RESOLVED DUPLICATE of bug 601836

Status

addons.mozilla.org Graveyard
Developer Pages
RESOLVED DUPLICATE of bug 601836
7 years ago
2 years ago

People

(Reporter: Pratibha, Unassigned)

Tracking

Details

(URL)

(Reporter)

Description

7 years ago
Firefox Version:
Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.2.8) Gecko/20100722 Firefox/3.6.8

Steps:
--------

Issue#1:
===============

-Load the versions page of the add-on Download Status bar:
https://addons.mozilla.org/en-US/firefox/addon/26/versions/?page=1#version-0.9.6.5

Version-0.9.6.5: Works with: * Firefox 3.0a8 - 3.7a1pre

Click on the button "Add to Firefox"

Results: Incompatible message is displayed with FF 3.6.8

Issue#2:
===============

https://addons.mozilla.org/en-US/firefox/addon/11377/versions/?page=1
version-1.8 : Works with 3.0 - 3.6.* - but gives incompatible message with FF3.6.8
version-1.7.1 : Works with 3.0 - 3.6.* - but gives incompatible message with FF3.6.8
(Reporter)

Updated

7 years ago
If the developer changes the minversion-maxversion range in the Developer Tools, this range should take precedence and install.rdf should be ignored.

This is known bug, and I've heard about it several times before. Many add-on authors have worked around it by uploading new versions instead.

Maybe a dupe; I'm not sure if it has been filed before.

Updated

7 years ago
Summary: incompatible message comes up while adding to a firefox within the specified version range → Post-install error-message displayed for a compatible add-on version

Comment 2

7 years ago
Changing the component to Dev Tools based on comment 1
Component: Public Pages → Developer Pages
QA Contact: web-ui → developers

Updated

7 years ago
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 601836
(Assignee)

Updated

2 years ago
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.